## ngcp-check-tools 13.5.1.2+0~mr13.5.1.2

=== debian/changelog ===
ngcp-check-tools (13.5.1.2+0~mr13.5.1.2) unstable; urgency=medium

  [ Guillem Jover ]
  * [60b216a] MT#63580 ngcp-witnessd: Add a node_status label to ngcp_peer_host_status

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 31 Oct 2025 23:17:42 +0100
