## ngcp-check-tools 13.5.1.3+0~mr13.5.1.3

=== debian/changelog ===
ngcp-check-tools (13.5.1.3+0~mr13.5.1.3) unstable; urgency=medium

  [ Guillem Jover ]
  * [3a4d272] MT#63422 ngcp-witnessd: Improve xmlrpc diagnostics on failure

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 06 Nov 2025 20:51:33 +0100
