## ngcp-check-tools 14.0.1.1+0~mr14.0.1.1

=== Makefile ===
test: syntaxcheck

# for syntax checks
PERL_SCRIPTS = \
	ngcp-check-sip-option \
	ngcp-peerprobe-status \
	ngcp-witnessd

syntaxcheck: perlcheck

perlcheck:
	@echo "Checking for perl syntax errors:"; \
	for SCRIPT in $(PERL_SCRIPTS); do \
		test -r $${SCRIPT} || continue ; \
		perl -CSD -Ilib -w -c $${SCRIPT} || exit ; \
	done; \
	echo "-> perl check done."; \
