=== debian/changelog ===
ngcp-check-tools (14.0.1.1+0~mr14.0.1.1) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 09 Dec 2025 15:31:19 +0100

ngcp-check-tools (14.0.1.0+0~mr14.0.1.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [77ae39e] MT#63599 ngcp-witnessd: Do not set SIGPIPE to ignore for spawned commands
  * [c7f29cf] MT#63580 ngcp-witnessd: Add a node_status label to ngcp_peer_host_status
  * [b26218f] MT#63580 ngcp-witnessd: Include a group_id label in all peering host metrics
  * [2bf9c6d] MT#63580 ngcp-witnessd: Add new ngcp_peer_host_cc_in metric
  * [fb4cfec] MT#63422 ngcp-witnessd: Improve xmlrpc diagnostics on failure

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 24 Nov 2025 16:54:47 +0100

ngcp-check-tools (14.0.0.0+0~mr14.0.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [63e9f5d] MT#60061 ngcp-witnessd: Add more checkpoints
  * [a5a46f9] MT#62899 Update packaging for Debian trixie
  * [8088319] MT#60622 ngcp-witnessd: Only sum the SIP attributes if they have been gathered
  * [4aa7cde] MT#60622 ngcp-witnessd: Make Kamailio XMLRPC robust against failures
  * [d17a1b8] MT#60622 ngcp-witnessd: Add a timeout to the Kamailio XMLRPC connections

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 08 Sep 2025 11:43:14 +0200
