=== debian/control ===
Source: ngcp-check-tools
Section: utils
Priority: optional
Maintainer: Sipwise Development Team <support@sipwise.com>
Build-Depends:
 debhelper-compat (= 13),
 libdbi-perl,
 libjson-xs-perl,
 liblist-moreutils-perl,
 libmojolicious-perl,
 libngcp-log-perl,
 libngcp-service-perl,
 libprometheus-tiny-perl,
 libredis-perl,
 liburi-perl,
 libxmlrpc-lite-perl,
 libyaml-libyaml-perl,
Standards-Version: 4.7.2
Homepage: https://www.sipwise.com/

Package: ngcp-check-tools
Architecture: all
Depends:
 libdbd-mysql-perl,
 libdbi-perl,
 libjson-xs-perl,
 liblist-moreutils-perl,
 libmojolicious-perl,
 libngcp-checks-perl,
 libngcp-gather-perl,
 libngcp-redis-perl,
 libngcp-service-perl,
 libprometheus-tiny-perl,
 liburi-perl,
 libxmlrpc-lite-perl,
 libyaml-libyaml-perl,
 ngcp-system-tools,
 sipsak (>= 0.9.6+git20160713),
 ${misc:Depends},
 ${perl:Depends},
Description: system information gathering tools for NGCP platforms
 Several tools for gathering information about NGCP Platform status.

Package: libngcp-gather-perl
Architecture: all
Section: perl
Depends:
 openssl,
 ${misc:Depends},
 ${perl:Depends},
Description: NGCP monitoring gathering perl modules
 This package provides the NGCP::Gather perl modules hierarchy implementing
 monitoring gathering support for NGCP.
 .
 This package is intended to be used by the monitoring stack.

Package: libngcp-checks-perl
Architecture: all
Section: perl
Depends:
 ${misc:Depends},
 ${perl:Depends},
Description: NGCP monitoring checks perl modules
 This package provides the NGCP::Checks perl modules hierarchy implementing
 monitoring checks for NGCP.
 .
 This package is intended to be used by the monitoring stack.

Package: libngcp-redis-perl
Architecture: all
Section: perl
Depends:
 libredis-perl,
 ${misc:Depends},
 ${perl:Depends},
Description: NGCP Redis non-throwing perl module wrapper
 This package provides the NGCP::Redis perl module wrappers to make using
 the Redis module never throw any exception.

Package: libngcp-prometheus-perl
Architecture: all
Section: perl
Depends:
 libjson-xs-perl,
 ${misc:Depends},
 ${perl:Depends},
Description: NGCP Prometheus perl querying module
 This package provides the NGCP::Prometheus::HTTP wrappers to access
 Prometheus via HTTP.
 .
 This module exposes methods for the management and querying API endpoints
 supported by Prometheus.
