=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	pod2man --section=8 ngcp-check-sip-option ngcp-check-sip-option.8
	pod2man --section=8 ngcp-peerprobe-status ngcp-peerprobe-status.8
	pod2man --section=8 ngcp-witnessd ngcp-witnessd.8
	pod2man --section=3pm lib/NGCP/Checks/TLSCerts.pm NGCP::Checks::TLSCerts.3pm
	pod2man --section=3pm lib/NGCP/Gather/Exim.pm NGCP::Gather::Exim.3pm
	pod2man --section=3pm lib/NGCP/Gather/TLSCerts.pm NGCP::Gather::TLSCerts.3pm
	pod2man --section=3pm lib/NGCP/Gather/SIPOption.pm NGCP::Gather::SIPOption.3pm
	pod2man --section=3pm lib/NGCP/Prometheus/HTTP.pm NGCP::Prometheus::HTTP.3pm
	pod2man --section=3pm lib/NGCP/Redis.pm NGCP::Redis.3pm

execute_after_dh_installsystemd:
	dh_installsystemd -pngcp-check-tools --name=ngcp-witnessd
